# encoding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'salt/version'

Gem::Specification.new do |spec|
  spec.name          = 'salt'
  spec.version       = Salt::VERSION
  spec.authors       = ['Jeremy Rodi']
  spec.email         = ['redjazz96@gmail.com']
  spec.summary       = 'A sane alternative language to C.'
  spec.description   = 'A sane alternative language to C.  It ' \
                       'compiles directly to C, which then compiles.'
  spec.homepage      = 'https://github.com/medcat/salt'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(/^spec\//)
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.1'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-rspec'

  spec.add_dependency 'toml-rb', '~> 0.3'
  spec.add_dependency 'commander'
end
